<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$api = app('Dingo\Api\Routing\Router');

$api->version('v1', [
    'namespace' => 'App\Http\Controllers',
], function ($api) {
    //登录

    $api->post('login', 'AuthController@authenticate');



    $api->group(['middleware' => 'auth:api'], function ($api) {
        //注册
        $api->post('reg', 'AuthController@register');
        //登出
        $api->post('logout', 'AuthController@logout');
        //刷新身份令牌
        $api->post('refresh', 'AuthController@refresh');
    });

    //测试
    $api->get('test', 'TestController@index');
    //配置
    $api->get('config', 'ConfigController@index');
    $api->group(['namespace' => 'Post'], function ($api) {
        //发布内容
        $api->post('post', 'PostController@create');
        //内容列表
        $api->get('post', 'PostController@index');
        //推荐内容
        $api->put('post/suggest', 'PostController@suggest');
        //删除内容
        $api->delete('post/delete', 'PostController@delete');
        //隐藏内容
        $api->put('post/hide', 'PostController@hide');

    });

    $api->group(['middleware' => 'jwt.chxq_auth'], function ($api) {

    });
});